Skip to content
ShaireDevelopers

comments

8 endpoints.

get/api/comments#

Query

subjectTypestring*
ticketmilestonepage
subjectIdstring · uuid*
Request
curl https://api.shairelabs.com/api/comments?subjectType=ticket&subjectId=00000000-0000-0000-0000-000000000000 \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · Comment[]

idstring · uuid*
subjectTypestring*
ticketmilestonepage
subjectIdstring · uuid*
authorIdstring · uuid*
bodyobject*
further keys allowed
typestring*
doc
contentunknown[]
parentIdstring · uuid | null*
resolvedAtstring | null*
resolvedBystring · uuid | null*
reactionsobject[]*
[item]object
emojistring*
countinteger*
mineboolean*
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

post/api/comments#

Body

subjectTypestring*
ticketmilestonepage
subjectIdstring · uuid*
bodyobject*
further keys allowed
typestring*
doc
contentunknown[]
parentIdstring · uuid | null
Request
curl https://api.shairelabs.com/api/comments \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"subjectType":"ticket","subjectId":"00000000-0000-0000-0000-000000000000","body":{"type":"doc"}}'

Response · 201 · Comment

idstring · uuid*
subjectTypestring*
ticketmilestonepage
subjectIdstring · uuid*
authorIdstring · uuid*
bodyobject*
further keys allowed
typestring*
doc
contentunknown[]
parentIdstring · uuid | null*
resolvedAtstring | null*
resolvedBystring · uuid | null*
reactionsobject[]*
[item]object
emojistring*
countinteger*
mineboolean*
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

patch/api/comments/{id}#

Path

idstring*

Body

bodyobject*
further keys allowed
typestring*
doc
contentunknown[]
Request
curl https://api.shairelabs.com/api/comments/$COMMENT_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"body":{"type":"doc"}}'

Response · 200 · Comment

idstring · uuid*
subjectTypestring*
ticketmilestonepage
subjectIdstring · uuid*
authorIdstring · uuid*
bodyobject*
further keys allowed
typestring*
doc
contentunknown[]
parentIdstring · uuid | null*
resolvedAtstring | null*
resolvedBystring · uuid | null*
reactionsobject[]*
[item]object
emojistring*
countinteger*
mineboolean*
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

delete/api/comments/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/comments/$COMMENT_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

put/api/comments/{id}/reactions/{emoji}#

Path

idstring*
emojistring*
Request
curl https://api.shairelabs.com/api/comments/$COMMENT_ID/reactions/$REACTION_EMOJI \
  -X PUT \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

delete/api/comments/{id}/reactions/{emoji}#

Path

idstring*
emojistring*
Request
curl https://api.shairelabs.com/api/comments/$COMMENT_ID/reactions/$REACTION_EMOJI \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

put/api/comments/{id}/resolution#

Path

idstring*
Request
curl https://api.shairelabs.com/api/comments/$COMMENT_ID/resolution \
  -X PUT \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

delete/api/comments/{id}/resolution#

Path

idstring*
Request
curl https://api.shairelabs.com/api/comments/$COMMENT_ID/resolution \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.